Webhooks
Update a webhook subscription
Updates a webhook subscription. Any combination of the subscribed event types, state (ACTIVE or DISABLED), and description may be changed, and at least one field must be supplied. Setting state to ACTIVE re-enables a subscription that was auto-blocked after sustained delivery failures. The URL or integration target cannot be changed; delete and recreate the webhook instead.
PATCH
/
webhooks
/
{id}
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const webhook = await client.webhooks.update('550e8400-e29b-41d4-a716-446655440000');
console.log(webhook.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
webhook = client.webhooks.update(
id="550e8400-e29b-41d4-a716-446655440000",
)
print(webhook.data)curl --request PATCH \
--url https://api.mobilerun.ai/v1/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"eventTypes": [
"<string>"
]
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mobilerun.ai/v1/webhooks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'description' => '<string>',
'eventTypes' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mobilerun.ai/v1/webhooks/{id}"
payload := strings.NewReader("{\n \"description\": \"<string>\",\n \"eventTypes\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.mobilerun.ai/v1/webhooks/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"<string>\",\n \"eventTypes\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mobilerun.ai/v1/webhooks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"<string>\",\n \"eventTypes\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"blockedAt": "<string>",
"blockedReason": "<string>",
"createdAt": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"eventTypes": [
"<string>"
],
"health": "healthy",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integration": {
"args": {},
"capability": {
"id": "slack.post_message",
"revision": 1
},
"label": "<string>"
},
"kind": "http",
"signingEnabled": true,
"state": "ACTIVE",
"updatedAt": "<string>",
"url": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryAfterSeconds": 123,
"traceId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryAfterSeconds": 123,
"traceId": "<string>"
}{
"code": "bad_request",
"message": "webhook not found",
"details": "<unknown>",
"traceId": "<string>"
}{
"code": "bad_request",
"message": "<string>",
"details": "<unknown>",
"traceId": "<string>"
}Body
application/json
Was this page helpful?
⌘I
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const webhook = await client.webhooks.update('550e8400-e29b-41d4-a716-446655440000');
console.log(webhook.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
webhook = client.webhooks.update(
id="550e8400-e29b-41d4-a716-446655440000",
)
print(webhook.data)curl --request PATCH \
--url https://api.mobilerun.ai/v1/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"eventTypes": [
"<string>"
]
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mobilerun.ai/v1/webhooks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'description' => '<string>',
'eventTypes' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mobilerun.ai/v1/webhooks/{id}"
payload := strings.NewReader("{\n \"description\": \"<string>\",\n \"eventTypes\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.mobilerun.ai/v1/webhooks/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"<string>\",\n \"eventTypes\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mobilerun.ai/v1/webhooks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"<string>\",\n \"eventTypes\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"blockedAt": "<string>",
"blockedReason": "<string>",
"createdAt": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"eventTypes": [
"<string>"
],
"health": "healthy",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integration": {
"args": {},
"capability": {
"id": "slack.post_message",
"revision": 1
},
"label": "<string>"
},
"kind": "http",
"signingEnabled": true,
"state": "ACTIVE",
"updatedAt": "<string>",
"url": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryAfterSeconds": 123,
"traceId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryAfterSeconds": 123,
"traceId": "<string>"
}{
"code": "bad_request",
"message": "webhook not found",
"details": "<unknown>",
"traceId": "<string>"
}{
"code": "bad_request",
"message": "<string>",
"details": "<unknown>",
"traceId": "<string>"
}